package com.das.common.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author zb
 * @Description
 */

@Component
@Getter
@Setter
@ConfigurationProperties(prefix = "sa-token")
public class SaTokenProperties {

    /**
     * token 请求头
     */
    private String tokenHeader;

    /**
     * token前缀
     */
    private String tokenPrefix;

    /**
     * token过期时间,单位 秒，默认 2个小时
     */
    private Integer expireTime;

    /**
     * 刷新token过期时间,单位 秒，默认 7 天
     */
    private Integer refreshExpireTime;
}
