package com.das.modules.auth.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.das.common.constant.BaseEntity;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>
 * 用户信息
 * </p>
 *
 * @author chenhaojie
 */
@TableName("sys_user")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysUser extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 登录账号
     */
    @TableField("account")
    private String account;

    /**
     * 加密后的密码
     */
    @TableField("password")
    private String password;

    /**
     * 职员名称
     */
    @TableField("user_name")
    private String userName;

    /**
     * 职员邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 职员联系电话
     */
    @TableField("phone")
    private String phone;

    /**
     * 所属机构id
     */
    @TableField("org_id")
    private Long orgId;

    /**
     * 最近一次登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("last_login")
    private Date lastLogin;

    /**
     * 乐观锁
     */
    @Version
    @TableField("revision")
    private int revision;

}
